Summary:    Guitar FX processor emulator
Name:       rakarrack
Version:    0.6.1
Release:    %mkrel 7
License:    GPLv2
Group:      Sound/Midi
URL:        http://rakarrack.sourceforge.net/
Source0:    http://dfn.dl.sourceforge.net/sourceforge/rakarrack/%{name}-%{version}.tar.bz2
Patch0:     rakarrack-0.6.1-strfmt.patch
BuildRequires:  alsa-lib-devel
BuildRequires:  alsa-utils
BuildRequires:  desktop-file-utils
BuildRequires:  fltk-devel
BuildRequires:  libjack-devel
BuildRequires:  libpng-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libxpm-devel
BuildRequires:  xcb-devel
BuildRequires:  xft2-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  sndfile-devel

%description
Rakarrack is a FX processor emulator for guitar and other purposes. It provides
many effects: tcompressor, expander, noise gate, graphic equalizer, parametric 
equalizer, exciter, shuffle, convolotron, valve, flanger, dual flange, chorus, 
musicaldelay, arpie, echo with reverse playback, musical delay, reverb, 
digital phaser, analogic phaser, synthfilter, varyband, ring, wah-wah, 
alien-wah, mutromojo, harmonizer, looper and four flexible distortion modules 
including sub-octave modulation and dirty octave up. It features real time 
processing, JACK support, an online tuner, bank and preset managment, and a 
monophonic MIDI converter. Patch files from previous versions can be converted
using the provided rakconvert script.

%prep
%setup -q
%patch0 -p1
sed -ie 's/<Fl\//<FL\//g' src/global.h src/process.C

%build
%configure2_5x
%make

%install

%makeinstall_std

%files
%defattr(-,root,root,0755)
%doc %{_docdir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/rakconvert
%attr(0755,root,root) %{_bindir}/rakgit2new
%attr(0755,root,root) %{_bindir}/rakverb
%attr(0755,root,root) %{_bindir}/rakverb2
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.1*





%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-7.mga5
+ Revision: 748735
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-6.mga5
+ Revision: 688607
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1-5.mga4
+ Revision: 517969
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-4.mga3
+ Revision: 380179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 barjac <barjac> 0.6.1-3.mga3
+ Revision: 336224
- changed group in line with new policy

* Mon Jul 11 2011 fwang <fwang> 0.6.1-2.mga2
+ Revision: 122114
- rebuild for new fltk

* Fri Apr 15 2011 shikamaru <shikamaru> 0.6.1-1.mga1
+ Revision: 85860
- imported package rakarrack


* Sun Nov 28 2010 Frank Kober <emuse@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 602431
- new version 0.6.1
  o rediff patch1, replace patch0 by script

* Sat Jul 17 2010 Frank Kober <emuse@mandriva.org> 0.5.8-1mdv2011.0
+ Revision: 554542
- add another missing BR
- add missing BR
- new version 0.5.8 (Equinox)
- update description
- adjust file list
- old patches still functional

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.2-1mdv2010.1
+ Revision: 531497
- new upstream release 0.4.2
- rediff patch0
- add patch to fix string format

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 0.3.0-4mdv2010.1
+ Revision: 493155
- rebuild for new fltk

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.0-3mdv2010.0
+ Revision: 442668
- rebuild

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 0.3.0-2mdv2009.1
+ Revision: 314174
- build with new fltk

* Tue Nov 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2009.1
+ Revision: 306679
- fix deps (alsa-utils)
- import rakarrack


* Tue Nov 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2009.0
- initial Mandriva package
